# Update role permissions

> 🔒 **Private label — [contact sales](mailto:sales@boyahq.com).** Requires a private-label entitlement on your API client.

Update permissions for a specific role

Endpoint: PUT /permissions/update/{role_id}
Version: 2.0.0
Security: oauth2ClientCredentials

## Path parameters:

  - `role_id` (string, required)

## Header parameters:

  - `business_id` (string, required)
    Business identifier for the request

## Request fields (application/json):

  - `permissions` (object, required)
    Role permissions object with permission keys and binary values (0=disabled, 1=enabled)
    Example: {"ALLOCATIONS_INITIATE":1,"ALLOCATIONS_APPROVE":0,"ALLOCATIONS_VIEW":1,"BULK:PAYOUTS_INITIATE":1,"BULK:PAYOUTS_APPROVE":1,"BULK:PAYOUTS_VIEW":1,"BUSINESS:STATEMENTS_VIEW":1,"BUSINESS:BALANCE_VIEW":1,"…

